Kerbal Space Program - Bug #3424

Recovering a vessel while a kerbal is on a ladder Kkills the kerbal
11/03/2014 11:42 PM - aureus

Status: Closed Start date: 11/03/2014
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.25 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

The description pretty much says it all. The recovery report will list any kerbals inside the ship in the crew tab but not the kerbal on
the ladder. The kerbal will be listed as dead in persistent.sfs. The kerbal was only two or three meters off the ground at the time of
recovery -- not high enough to risk being killed by the fall if the vessel suddenly disappeared.

Related issues:
Related to Kerbal Space Program - Bug #3370: "Suface Sample" and EVA-Report w... Closed 10/14/2014

History

#1 - 11/04/2014 02:32 PM - Squelch
- Status changed from New to Confirmed

- % Done changed from 0 to 10

The status of the Kerbal while on the ladder of a landed or splashed craft is "Flying". It is possible to take an EVA report in this situation, and have it
tagged as "flying above Kerbin" which has been a long standing misfeature to my knowledge. See related issue.

| believe the "Flying" status to be the cause of the death of the Kerbal on recovery.
Thank you for your report, and it will be forwarded to the team.
#2 - 10/02/2015 04:05 PM - Squelch

- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100
Warnings for all scenarios where the death of a Kerbal will result because they are on a ladder are now given.
#3 - 10/04/2015 12:18 PM - Kasuha

Squelch wrote:

Warnings for all scenarios where the death of a Kerbal will result because they are on a ladder are now given.

Totally not resolved. Should | re-issue the bug, or can this be reopened?
Reproduction:
e Create a ship off command pod and an SRB. Put it on Launchpad
* Get the Kerbal on EVA, holding the pod ladder
¢ press ] to switch back to the ship
e recover the ship
No warning is given and the Kerbal is killed.
#4 - 10/04/2015 08:45 PM - Squelch
- Status changed from Resolved to New

- % Done changed from 100 to 0
Kasuha wrote:
Squelch wrote:

Warnings for all scenarios where the death of a Kerbal will result because they are on a ladder are now given.

Totally not resolved. Should | re-issue the bug, or can this be reopened?
Reproduction:

Create a ship off command pod and an SRB. Put it on Launchpad
Get the Kerbal on EVA, holding the pod ladder

press ] to switch back to the ship

recover the ship

No warning is given and the Kerbal is killed.

A warning is given while the Kerbal is the focussed vessel, but as you point out, when they are unfocussed, the warning is missing. | believe this issue
is resolved in its original form, as no warning at all was given. Unfortunately, the logic does not allow for non focused Kerbals at this time.
Reopened.

#5 - 07/17/2016 09:38 AM - TriggerAu

- Status changed from New to Needs Clarification

#6 - 06/20/2019 12:11 AM - just_jim
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

| just tested this is version 1.7.2, and there is no way now to recover a vehicle while a kerbal is on a ladder, whether the Kerbal on the ladder is active
or not.

#7 - 06/20/2019 04:34 PM - chris.fulton

- Status changed from Resolved to Closed
